Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core
Class ReflectiveVisitorHelper

    java.lang.Object
      org.springframework.core.ReflectiveVisitorHelper

Deprecated. as of Spring 2.5, to be removed in Spring 3.0

    public class ReflectiveVisitorHelper

extends Object

Helper implementation for a reflective visitor. Mainly for internal use within the framework.

To use, call `invokeVisit`, passing a Visitor object and the data argument to accept (double-dispatch). For example:

       public String styleValue(Object value) {
         reflectiveVistorSupport.invokeVisit(this, value)
       }

       // visit call back will be invoked via reflection
       String visit(<valueType> arg) {
         // process argument of type <valueType>
       }

See the `DefaultValueStyler` class for a concrete usage of this visitor helper.

Since:
  1.2.2
Author:
  Keith Donald, Juergen Hoeller

Constructor Summary
`ReflectiveVisitorHelper()` Deprecated.

Method Summary
`Object` | `invokeVisit(Object visitor, Object argument)` Deprecated. Use reflection to call the appropriate `visit` method on the provided visitor, passing in the specified argument.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReflectiveVisitorHelper

    public ReflectiveVisitorHelper()

  Deprecated.

Method Detail

### invokeVisit

    public Object invokeVisit(Object visitor,
                              Object argument)

  Deprecated.
  Use reflection to call the appropriate `visit` method on the provided visitor, passing in the specified argument.

  Parameters:
    `visitor` - the visitor encapsulating the logic to process the argument
    `argument` - the argument to dispatch
  Throws:
    `IllegalArgumentException` - if the visitor parameter is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.